cURL
curl --request POST \
--url https://sandbox.withclasp.com/enrollments/{public_id}/eligible_plans \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"dependents": [
"<string>"
],
"volume_elections": [
{
"plan": "<string>",
"amount": "<string>",
"dependent": "<string>"
}
]
}
'import requests
url = "https://sandbox.withclasp.com/enrollments/{public_id}/eligible_plans"
payload = {
"dependents": ["<string>"],
"volume_elections": [
{
"plan": "<string>",
"amount": "<string>",
"dependent": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
dependents: ['<string>'],
volume_elections: [{plan: '<string>', amount: '<string>', dependent: '<string>'}]
})
};
fetch('https://sandbox.withclasp.com/enrollments/{public_id}/eligible_plans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"plan": {
"id": "<string>",
"plan_name": "<string>",
"plan_type": "<string>",
"group": "<string>",
"effective_start": "2023-12-25",
"effective_end": "2023-12-25",
"member_count": 123,
"dependent_count": 123,
"requires_primary_care_provider": true,
"plan_details": "<unknown>",
"plan_summary_url": "<string>",
"is_low_cost": true,
"provides_minimum_value": true,
"provides_essential_coverage": true,
"dependent_coverage_excluded": true,
"spouse_coverage_excluded": true,
"bundle": "<string>",
"partner_dependents_eligible": true,
"child_dependents_eligible": true,
"voluntary_coverage_options": {},
"plan_configurations": [
"<string>"
],
"required_enrollment": true,
"hsa_eligible": true,
"is_pre_tax": true,
"cobra_eligible": true,
"max_contributing_children": 123,
"required_regions": [],
"minimum_hours_worked": 123,
"base_spouse_age_off_member": 123,
"newly_available": true,
"allowed_employment_statuses": [
"full_time",
"part_time"
],
"union_eligible": true,
"seasonal_eligible": true,
"partner_enrollment_required": true,
"child_enrollment_required": true,
"create_payroll_benefits": true,
"metadata": {}
},
"member_contribution": "<string>",
"employer_contribution": "<string>",
"per_pay_period_employer_contribution": "<string>",
"per_pay_period_member_contribution": "<string>",
"eligible_dependent_ids": [
"<string>"
],
"tax_advantaged_account_limit": {
"limit_type": "<string>",
"individual_limit": "<string>",
"family_limit": "<string>",
"catch_up_limit": "<string>",
"yearly_contribution_limit": "<string>",
"monthly_contribution_limit": "<string>"
},
"volumes": [
{
"amount": "<string>",
"dependent": "<string>"
}
]
}
]Enrollments
Eligible Plans
Lists all eligible plans under an enrollment.
POST
/
enrollments
/
{public_id}
/
eligible_plans
cURL
Authorizations
API Key authentication with required prefix "Bearer"
Path Parameters
Body
application/json
Response
200 - application/json
Show child attributes
Show child attributes
Pattern:
^-?\d{0,8}(?:\.\d{0,2})?$Pattern:
^-?\d{0,8}(?:\.\d{0,2})?$Pattern:
^-?\d{0,8}(?:\.\d{0,2})?$Pattern:
^-?\d{0,8}(?:\.\d{0,2})?$Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I